BeanValidatorHandler (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.taglib.BeanValidatorHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class BeanValidatorHandler

    java.lang.Object
      com.sun.facelets.tag.TagHandler
          com.sun.facelets.tag.MetaTagHandler
              com.sun.facelets.tag.jsf.ValidateHandler
                  org.richfaces.taglib.BeanValidatorHandler

All Implemented Interfaces:
  com.sun.facelets.FaceletHandler

    public class BeanValidatorHandler

extends com.sun.facelets.tag.jsf.ValidateHandler

Author:
  asmirnov

Field Summary

Fields inherited from class com.sun.facelets.tag.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`BeanValidatorHandler(com.sun.facelets.tag.jsf.ValidatorConfig config)`

Method Summary
`protected javax.faces.validator.Validator` | `createValidator(com.sun.facelets.FaceletContext ctx)`

Methods inherited from class com.sun.facelets.tag.jsf.ValidateHandler
`apply, createMetaRuleset`

Methods inherited from class com.sun.facelets.tag.MetaTagHandler
`setAttributes`

Methods inherited from class com.sun.facelets.tag.TagHandler
`findNextByType, getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanValidatorHandler

    public BeanValidatorHandler(com.sun.facelets.tag.jsf.ValidatorConfig config)

Parameters:
  `config` -

Method Detail

### createValidator

    protected javax.faces.validator.Validator createValidator(com.sun.facelets.FaceletContext ctx)

  Overrides:
    `createValidator` in class `com.sun.facelets.tag.jsf.ValidateHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.